<?
include_once H.'/sys/inc/start.php';
include_once H.'/sys/inc/compress.php';
include_once H.'/sys/inc/sess.php';
include_once H.'/sys/inc/home.php';
include_once H.'/sys/inc/settings.php';
include_once H.'/sys/inc/db_connect.php';
include_once H.'/sys/inc/ipua.php';
include_once H.'/sys/inc/fnc.php';
include_once H.'/sys/inc/user.php';

include_once H.'/sys/inc/thead.php';



$set['title'] = 'Информация о конкурсе';
title();
aut();

?>

<style>
.vpravo{float:right;}
.end{display:inline-block;overflow:hidden}
.phcmp_i{margin-right:.3em;padding:.2em .3em;text-align:center;color:#fff;background-color:#61bf01;font-size:small}
.phcmp_i{display:inline-block;padding-right:1.5em;position:relative;overflow:hidden;margin-right:0}.n 
.phcmp_i:after{content:'';display:block;height:100%;width:1.5em;position:absolute;top:0;right:-.8em;background:#fff;
-webkit-transform:rotate(45deg);-moz-transform:rotate(45deg);-ms-transform:rotate(45deg);transform:rotate(45deg)}.
</style>

<?

$id = intval($_GET['id']);
$fk=mysql_fetch_assoc(mysql_query("SELECT * FROM `fk` WHERE `id` = '".$id."' "));
if(!isset($id) or $fk['name'] == null){
header("Location: index.php?".SID); }


if($fk['images'] == null) { $images = '<img src="img/not.png"  alt="*" class="image" align="left" height="50" width="50" style="margin: -4px 8px 1px 0px;"/>'; }
else { $images = '<img src="images/'.$fk['images'].'"  alt="*" class="image" align="left" height="50" width="50" style="margin: -4px 8px 1px 0px;"/>'; }

if($fk['active'] == 0) { $end = '<span class="end">завершен</span>'; }
elseif($fk['active'] == 3) { $end = '<span class="end">голосование закрыто</span>'; }
elseif($fk['active'] == 1) { $end = '<span class="end">активен</span>'; }

echo'<div class="mess">
'.$images.'
<body class="noscroll n fixe"> <span class="phcmp_i">Конкурс</span>'.$end.'
<br/>'.$fk['name'].'<br/></div>';


echo '<div class="main">'. output_text($fk['rules']).'</div>';
echo '<div class="main">Дата начала: <b>'.vremja($fk['start_time']).'</b></div>';
echo '<div class="main">Дата окончания: <b>'.vremja($fk['end_time']).'</b></div>';
echo '<div class="main">Максимум участников: <b>'.$fk['kol_vo'].'</b></div>';
echo '<div class="main">1 пользователь: <b>'.$fk['skolko'].'</b> голосов</div>';
echo '<div class="main">Баллы за 1 место: <b>'.$fk['pobeda'].'</b></div>';
echo '<div class="main">Баллы за 2 место: <b>'.$fk['pobeda2'].'</b></div>';
echo '<div class="main">Баллы за 3 место: <b>'.$fk['pobeda3'].'</b></div>';
echo '<div class="main">Баллы за участие: <b>'.$fk['uchastie'].'</b></div>';
echo '<div class="main">Баллы за голосование: <b>'.$fk['golosue'].'</b></div>';


if($user['level'] > 4) {
echo '<div class="copy">Панель управления </div>';

if ($fk['active'] == 3) {
echo '<div class="nav2"> <a href="info_fk.php?id='.$id.'&start"> Открыть голосование</a></div>';

if(isset($_GET['start'])) {
echo '<div class="nav2">Вы уверены: <a href="info_fk.php?id='.$id.'&start='.$fk['start_time'].'"> Да, открыть</a> | 
<a href="info_fk.php?id='.$id.'"> Нет, отменить</a> </div>';

if($_GET['start'] == $fk['start_time']) {
mysql_query("UPDATE `fk` SET `active` = '1' where `id` =  '".$id."'  ");

 header("Location: info_fk.php?id=$id".SID); 
}
}
}
elseif ($fk['active'] == 1) 
{
echo '<div class="nav2"> <a href="info_fk.php?id='.$id.'&start_no"> Закрыть голосование</a></div>';

if(isset($_GET['start_no'])) {
echo '<div class="nav2">Вы уверены: <a href="info_fk.php?id='.$id.'&start_no='.$fk['start_time'].'"> Да, закрыть</a> | 
<a href="info_fk.php?id='.$id.'"> Нет, отменить</a> </div>';

if($_GET['start_no'] == $fk['start_time']) {
mysql_query("UPDATE `fk` SET `active` = '3' where `id` =  '".$id."'  ");

 header("Location: info_fk.php?id=$id".SID); 
}
}


}






echo '<div class="nav2"> <a href="edit_fk.php?id='.$id.'"> Редактировать фотоконкурс</a></div>';

echo '<div class="nav2"> <a href="info_fk.php?id='.$id.'&delete"> Удалить фотоконкурс</a></div>';

if(isset($_GET['delete'])) {
echo '<div class="nav2">Вы уверены: <a href="info_fk.php?id='.$id.'&delete='.$fk['start_time'].'"> Да, удалить</a> | 
<a href="info_fk.php?id='.$id.'"> Нет, отменить</a> </div>';

if($_GET['delete'] == $fk['start_time']) {
mysql_query("DELETE FROM `fk` WHERE `id` = '$id' ");
mysql_query("DELETE FROM `fk_foto` WHERE `id_fk` = '$id' ");
mysql_query("DELETE FROM `fk_golos` WHERE `id_fk` = '$id' ");
 header("Location: index.php".SID); 
}
}

echo '<div class="nav2"> <a href="info_fk.php?id='.$id.'&block_all"> Заблокировать все фото</a></div>';

if(isset($_GET['block_all'])) {
echo '<div class="nav2">Вы уверены: <a href="info_fk.php?id='.$id.'&block_all='.$fk['start_time'].'"> Да, заблокировать</a> | 
<a href="info_fk.php?id='.$id.'"> Нет, отменить</a> </div>';

if($_GET['block_all'] == $fk['start_time']) {
mysql_query("UPDATE `fk_foto` SET `active` = '0' where `id_fk` =  '".$id."'  ");

 header("Location: info_fk.php?id=$id".SID); 
}
}

echo '<div class="nav2"> <a href="info_fk.php?id='.$id.'&razblock_all"> Разблокировать все фото</a></div>';

if(isset($_GET['razblock_all'])) {
echo '<div class="nav2">Вы уверены: <a href="info_fk.php?id='.$id.'&razblock_all='.$fk['start_time'].'"> Да, разблокировать</a> | 
<a href="info_fk.php?id='.$id.'"> Нет, отменить</a> </div>';

if($_GET['razblock_all'] == $fk['start_time']) {
mysql_query("UPDATE `fk_foto` SET `active` = '1' where `id_fk` =  '".$id."'  ");

 header("Location: info_fk.php?id=$id".SID); 
}
}

echo '<div class="nav2"> <a href="info_fk.php?id='.$id.'&null_all"> Аннулировать все голоса</a></div>';

if(isset($_GET['null_all'])) {
echo '<div class="nav2">Вы уверены: <a href="info_fk.php?id='.$id.'&null_all='.$fk['start_time'].'"> Да, аннулировать</a> | 
<a href="info_fk.php?id='.$id.'"> Нет, отменить</a> </div>';

if($_GET['null_all'] == $fk['start_time']) {
mysql_query("UPDATE `fk_foto` SET `golosov` = '0' where `id_fk` =  '".$id."'  ");
mysql_query("DELETE FROM `fk_golos` WHERE `id_fk` = '$id' ");

 header("Location: info_fk.php?id=$id".SID); 
}
}

if ($fk['active'] != 0) {
echo '<div class="nav2"> <a href="rassylka.php?id='.$id.'"> Рассылка сообщений о фотоконкурсе</a></div>';


echo '<div class="nav2"> <a href="info_fk.php?id='.$id.'&end"> Завершить фотоконкурс</a></div>';

if(isset($_GET['end'])) {
echo '<div class="nav2">Вы уверены: <a href="info_fk.php?id='.$id.'&end='.$fk['start_time'].'"> Да, Завершить</a> | 
<a href="info_fk.php?id='.$id.'"> Нет, отменить</a> </div>';

if($_GET['end'] == $fk['start_time']) {
mysql_query("UPDATE `fk` SET `end_time` = '".$time."' where `id` =  '".$id."'  ");

 header("Location: konkurs.php?id=$id".SID); 
}
}
}



}



echo '<div class="foot"><img src="/style/icons/str2.gif"> <a href="konkurs.php?id='.$id.'">Назад</a></div>';
echo '<div class="foot"><img src="img/fk.png"> <a href="index.php">Фотоконкурсы</a></div>';

err();
include_once H.'/sys/inc/tfoot.php';
?>